# Interface methods for submodule: BoxImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: BoxImageFilter
class BoxImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetRadius(self, radius: Sequence[int]) -> None:
		""""""
		...

	@overload
	def SetRadius(self, radius: int) -> None:
		""""""
		...

	def GetRadius(self) -> Sequence[int]:
		""""""
		...

